> For the complete documentation index, see [llms.txt](https://docs.openvessel.io/integration/EZzgG67O9oXGl9CReheF/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openvessel.io/integration/EZzgG67O9oXGl9CReheF/game-api/games.md).

# Games

{% hint style="info" %} <mark style="color:red;">\*</mark> is a required field
{% endhint %}

{% hint style="warning" %}
Make sure to use your X-Auth-Token when making a POST request. Your X-Auth-Token is the private key associated to your ERC-20 wallet.
{% endhint %}

## Create Game

### Create a new game

{% openapi src="/files/HajKA5xZvO5SYYbfx35H" path="/games/manage/create" method="post" %}
[1009\_Vessel\_prod.json](https://1785276440-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MlS5g6RKJvRGb_KKP5m%2Fuploads%2FtIKhwzoW0fObLFwqU4WK%2F1009_Vessel_prod.json?alt=media\&token=a1353f5d-201e-4e43-8448-2468aa861158)
{% endopenapi %}

### Create a new game multipart

{% openapi src="/files/HajKA5xZvO5SYYbfx35H" path="/games/manage/create-multipart" method="post" %}
[1009\_Vessel\_prod.json](https://1785276440-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MlS5g6RKJvRGb_KKP5m%2Fuploads%2FtIKhwzoW0fObLFwqU4WK%2F1009_Vessel_prod.json?alt=media\&token=a1353f5d-201e-4e43-8448-2468aa861158)
{% endopenapi %}

### create vs create-multipart

You need to upload the image somewhere and post the URL when you use `/games/manage/create` API. Once it is created, we store image data in our DB.

On the other hand, you can post the image binary directly to us if you use `/game/manage/create-multipart` API.

## Game Metadata

### Update game metadata

{% openapi src="/files/HajKA5xZvO5SYYbfx35H" path="/collections/manage/{fqCn}/update-metadata" method="post" %}
[1009\_Vessel\_prod.json](https://1785276440-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MlS5g6RKJvRGb_KKP5m%2Fuploads%2FtIKhwzoW0fObLFwqU4WK%2F1009_Vessel_prod.json?alt=media\&token=a1353f5d-201e-4e43-8448-2468aa861158)
{% endopenapi %}

### Update game metadata multipart

{% openapi src="/files/HajKA5xZvO5SYYbfx35H" path="/games/manage/{fqGn}/update-metadata-multipart" method="post" %}
[1009\_Vessel\_prod.json](https://1785276440-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MlS5g6RKJvRGb_KKP5m%2Fuploads%2FtIKhwzoW0fObLFwqU4WK%2F1009_Vessel_prod.json?alt=media\&token=a1353f5d-201e-4e43-8448-2468aa861158)
{% endopenapi %}

## Game Lookup

### Lookup the game by fqGn

You can get the game details by fqGn.

{% openapi src="/files/HajKA5xZvO5SYYbfx35H" path="/games/{fqGn}" method="get" %}
[1009\_Vessel\_prod.json](https://1785276440-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MlS5g6RKJvRGb_KKP5m%2Fuploads%2FtIKhwzoW0fObLFwqU4WK%2F1009_Vessel_prod.json?alt=media\&token=a1353f5d-201e-4e43-8448-2468aa861158)
{% endopenapi %}

### Lookup the game by platform and package name

You can get the game details by platform and package name.

{% openapi src="/files/HajKA5xZvO5SYYbfx35H" path="/games/{platform}/{packageName}" method="get" %}
[1009\_Vessel\_prod.json](https://1785276440-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MlS5g6RKJvRGb_KKP5m%2Fuploads%2FtIKhwzoW0fObLFwqU4WK%2F1009_Vessel_prod.json?alt=media\&token=a1353f5d-201e-4e43-8448-2468aa861158)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.openvessel.io/integration/EZzgG67O9oXGl9CReheF/game-api/games.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
